import request from '@/utils/request'
export function list(id) {
  return request({
    url: '/renovationDict/list?parentId='+id,
    method: 'get',
    baseURL: "/water-api"
  })
}
export function insert(data) {
  return request({
    url: '/renovationDict/insert',
    method: 'post',
    data,
    baseURL: "/water-api"
  })
}
export function remove(id) {
  return request({
    url: '/renovationDict/remove?dictId='+id,
    method: 'post',
    baseURL: "/water-api"
  })
}
export function update(data) {
  return request({
    url: '/renovationDict/update',
    method: 'post',
    data,
    baseURL: "/water-api"
  })
}

export function listPro(id) {
  return request({
    url: '/prodInfo/list?dictId='+id,
    method: 'get',
    baseURL: "/water-api"
  })
}
export function insertPro(data) {
  return request({
    url: '/prodInfo/insert',
    method: 'post',
    data,
    baseURL: "/water-api"
  })
}
export function removePro(id) {
  return request({
    url: '/prodInfo/remove?prodId='+id,
    method: 'post',
    baseURL: "/water-api"
  })
}
export function updatePro(data) {
  return request({
    url: '/prodInfo/update',
    method: 'post',
    data,
    baseURL: "/water-api"
  })
}
